Compare commits

..

2 Commits

Author SHA1 Message Date
Heavy@Hetzner
6f9cc94181 (vimrc): Adjust vimrc (add nvim section). 2024-09-24 21:00:35 +00:00
Heavy@Hetzner
0bdfd14340 Added template for borg backups. 2024-09-24 20:02:26 +00:00
4 changed files with 97 additions and 1 deletions

4
.talismanrc Normal file
View File

@ -0,0 +1,4 @@
fileignoreconfig:
- filename: bin/executable_borg-backup.sh
checksum: e74614bd00bc04855bac1aec2de6f2d224bfc0a0c4e1cee987fc6290255a895c
version: ""

View File

@ -0,0 +1,76 @@
#!/bin/sh
#
# Template for a Borg Backup, intended to be run by cron.
#
# Setting this, so the repo does not need to be given on the commandline:
export BORG_REPO=u332156-sub1@u332156.your-storagebox.de:borg-hetzner
# See the section "Passphrase notes" for more infos.
export BORG_PASSPHRASE='<borg-passphrase>'
# some helpers and error handling:
info() { printf "\n%s %s\n\n" "$( date )" "$*" >&2; }
trap 'echo $( date ) Backup interrupted >&2; exit 2' INT TERM
info "Starting backup"
# Backup the most important directories into an archive named after
# the machine this script is currently running on:
borg create \
--verbose \
--filter AME \
--list \
--stats \
--show-rc \
--compression lz4 \
--exclude-caches \
--exclude 'home/*/.cache/*' \
--exclude 'var/tmp/*' \
\
::'{hostname}-{now}' \
/home \
/etc \
/root
backup_exit=$?
info "Pruning repository"
# Use the `prune` subcommand to maintain 7 daily, 4 weekly and 6 monthly
# archives of THIS machine. The '{hostname}-*' matching is very important to
# limit prune's operation to this machine's archives and not apply to
# other machines' archives also:
borg prune \
--list \
--glob-archives '{hostname}-*' \
--show-rc \
--keep-daily 7 \
--keep-weekly 4 \
--keep-monthly 6
prune_exit=$?
# actually free repo disk space by compacting segments
info "Compacting repository"
# does not work: borg compact
compact_exit=$?
# use highest exit code as global exit code
global_exit=$(( backup_exit > prune_exit ? backup_exit : prune_exit ))
global_exit=$(( compact_exit > global_exit ? compact_exit : global_exit ))
if [ ${global_exit} -eq 0 ]; then
info "Backup, Prune, and Compact finished successfully"
elif [ ${global_exit} -eq 1 ]; then
info "Backup, Prune, and/or Compact finished with warnings"
else
info "Backup, Prune, and/or Compact finished with errors"
fi
exit ${global_exit}

View File

@ -3,3 +3,7 @@ if [ -d /etc/update-motd.d ]; then
. "$f" . "$f"
done done
fi fi
if [ -x neofetch ]; then
neofetch
fi

View File

@ -115,7 +115,8 @@ set cursorline " underline the current line, for quick orientat
" colorscheme mustang " colorscheme mustang
" colorscheme solarized " colorscheme solarized
colorscheme solarized8 " colorscheme solarized8
colorscheme blue
" https://superuser.com/questions/249779/how-to-setup-a-line-length-marker-in-vim-gvim " https://superuser.com/questions/249779/how-to-setup-a-line-length-marker-in-vim-gvim
" https://vi.stackexchange.com/questions/356/how-can-i-set-up-a-ruler-at-a-specific-column " https://vi.stackexchange.com/questions/356/how-can-i-set-up-a-ruler-at-a-specific-column
@ -248,3 +249,14 @@ packloadall
" Load all of the helptags now, after plugins have been loaded. " Load all of the helptags now, after plugins have been loaded.
" All messages and errors will be ignored. " All messages and errors will be ignored.
silent! helptags ALL silent! helptags ALL
if has ('nvim')
" NeoVim specific commands
else
" Standard vim specific commands
call plug#begin()
Plug 'editorconfig/editorconfig-vim'
Plug 'https://github.com/altercation/vim-colors-solarized.git'
Plug 'hashivim/vim-terraform'
call plug#end()
endif